% Generated by roxygen2 (4.0.1): do not edit by hand
\docType{data}
\name{airq_interaction}
\alias{airq_interaction}
\title{air quality  minimal depth variable interaction matrix.}
\format{A find.interaction object for regression}
\description{
A cached object from \code{find.interaction} for the New York Air Quality
Measurements randomForestSRC regression forest \code{\link{airq_rf}}.
}
\details{
For ggRandomForest testing and the R CMD checks, we cache the
computationally expensive parts of running a randomForest.

We build a regression randomForest (\code{\link{airq_rf}}) with the
\code{airquality} measurements data, then run the \code{find.interaction} function to
determine pairwise variable interaction measures. The data were from New York, from
May to September 1973. The data was obtained from the New York State
Department of Conservation (ozone data) and the National Weather Service
(meteorological data).

This "data set" is a cache of the \code{find.interaction} function, which measures
pairwise interactions between variables from the \code{\link{airq_rf}} random forest model.
}
\examples{
\dontrun{
## The data was built with the following command
airq_rf <- rfsrc(Ozone ~ ., data = airquality, na.action = "na.impute")
airq_interaction <- find.interaction{airq_rf}
}
}
\references{
Chambers, J. M., Cleveland, W. S., Kleiner, B. and Tukey, P. A.
(1983) Graphical Methods for Data Analysis. Belmont, CA: Wadsworth.

Ishwaran H. and Kogalur U.B. (2014). Random Forests for
Survival, Regression and Classification (RF-SRC), R package
version 1.5.4.

Ishwaran H. and Kogalur U.B. (2007). Random survival forests
for R. R News 7(2), 25-31.

Ishwaran H., Kogalur U.B., Blackstone E.H. and Lauer M.S.
(2008). Random survival forests. Ann. Appl. Statist. 2(3),
841-860.
}
\seealso{
\code{airquality} \code{find.interaction} \code{rfsrc} \code{\link{airq_rf}}
}
\keyword{datasets}

