% Generated by roxygen2 (4.0.1): do not edit by hand
\docType{data}
\name{airq_rf}
\alias{airq_rf}
\title{air quality randomForestSRC object.}
\format{A rfsrc object for regression}
\description{
A cached \code{rfsrc} object for the New York Air Quality Measurements. This is
randomForestSRC regression forest.
}
\details{
For ggRandomForest testing and the R CMD checks, we cache the
computationally expensive parts of running a randomForest.

We build a regression randomForest (\code{\link{airq_rf}}) with the
\code{airquality} measurements data. The data were from New York, from
May to September 1973. The data was obtained from the New York State
Department of Conservation (ozone data) and the National Weather Service
(meteorological data).

This "data set" is a cache of the \code{rfsrc} random forest model.
}
\examples{
\dontrun{
## The data was built with the following command
airq_rf <- rfsrc(Ozone ~ ., data = airquality, na.action = "na.impute")
}
}
\references{
Chambers, J. M., Cleveland, W. S., Kleiner, B. and Tukey, P. A.
(1983) Graphical Methods for Data Analysis. Belmont, CA: Wadsworth.

Ishwaran H. and Kogalur U.B. (2014). Random Forests for
Survival, Regression and Classification (RF-SRC), R package
version 1.5.4.

Ishwaran H. and Kogalur U.B. (2007). Random survival forests
for R. R News 7(2), 25-31.

Ishwaran H., Kogalur U.B., Blackstone E.H. and Lauer M.S.
(2008). Random survival forests. Ann. Appl. Statist. 2(3),
841-860.
}
\seealso{
\code{airquality} \code{rfsrc} \code{\link{airq_vs}} \code{\link{airq_interaction}}
}
\keyword{datasets}

