% Generated by roxygen2 (4.0.1): do not edit by hand
\name{gg_rfsrc.ggRandomForests}
\alias{gg_rfsrc}
\alias{gg_rfsrc.ggRandomForests}
\title{Predicted response data object}
\usage{
gg_rfsrc.ggRandomForests(object, surv_type = c("surv", "chf", "mortality",
  "hazard"), oob = TRUE, se, ...)
}
\arguments{
\item{object}{randomForestSRC object}

\item{surv_type}{("surv", "chf", "mortality", "hazard")}

\item{oob}{boolean, should we return the oob prediction , or the full
forest prediction.}

\item{se}{for survival forests, calculated the se bootstrap confidence
interval}

\item{...}{not used}
}
\value{
gg_rfsrc object formatted for \code{\link{plot.gg_rfsrc}}
}
\description{
Extracts the predicted response values from the random forest object,
formatted for plotting the response using \code{\link{plot.gg_rfsrc}}.
}
\examples{
## ------------------------------------------------------------
## classification example
## ------------------------------------------------------------
# iris.obj <- rfsrc(Species ~ ., data = iris)
data(iris_rf, package="ggRandomForests")
ggrf.obj<- gg_rfsrc(iris_rf)
plot(ggrf.obj)


## ------------------------------------------------------------
## Survival example
## ------------------------------------------------------------
## veteran data
## randomized trial of two treatment regimens for lung cancer
data(veteran, package = "randomForestSRC")
v.obj <- rfsrc(Surv(time, status) ~ ., data = veteran, ntree = 100)

ggrf.obj <- gg_rfsrc(v.obj, se=.95)
plot(ggrf.obj)
}
\seealso{
\code{\link{plot.gg_rfsrc}} \code{rfsrc} \code{plot.rfsrc} \code{\link{gg_survival}}
}

