% Generated by roxygen2 (4.0.1): do not edit by hand
\name{gg_roc.ggRandomForests}
\alias{gg_roc}
\alias{gg_roc.ggRandomForests}
\title{ROC (Recievor operator curve) data from a classification random forest.}
\usage{
gg_roc.ggRandomForests(object, which.outcome, oob = TRUE)
}
\arguments{
\item{object}{an rfsrc classification object}

\item{which.outcome}{select the classification outcome of interest.}

\item{oob}{use oob estimates (default TRUE)}
}
\value{
gg_roc data.frame for plotting ROC curves.
}
\description{
The sensitivity and specificity of a randomForests classification object.
}
\examples{
## ------------------------------------------------------------
## classification example
## ------------------------------------------------------------
# iris.obj <- rfsrc(Species ~ ., data = iris)
data(iris_rf,package="ggRandomForests")
# ROC for setosa
ggrf.obj<- gg_roc(iris_rf, which.outcome=1)
plot.gg_roc(ggrf.obj)

# ROC for versicolor
ggrf.obj<- gg_roc(iris_rf, which.outcome=2)
plot.gg_roc(ggrf.obj)

# ROC for virginica
ggrf.obj<- gg_roc(iris_rf, which.outcome=3)
plot.gg_roc(ggrf.obj)
}
\seealso{
\code{\link{plot.gg_roc}} \code{rfsrc}
}

