% Generated by roxygen2 (4.0.1): do not edit by hand
\name{gg_vimp.ggRandomForests}
\alias{gg_vimp}
\alias{gg_vimp.ggRandomForests}
\title{Variable Importance (VIMP) data object}
\usage{
gg_vimp.ggRandomForests(object, ...)
}
\arguments{
\item{object}{A rfsrc object}

\item{...}{arguments passed to the vimp.rfsrc function}
}
\value{
a matrix of VIMP measures, in rank order.
}
\description{
gg_vimp Extracts the variable importance (VIMP) information from a
a randomForestSRC object.
}
\examples{
## ------------------------------------------------------------
## classification example
## ------------------------------------------------------------
# iris_rf <- rfsrc(Species ~ ., data = iris)
data(iris_rf, package="ggRandomForests")
ggrf <- gg_vimp(iris_rf)
plot(ggrf)

## ------------------------------------------------------------
## regression example
## ------------------------------------------------------------

# airq.obj <- rfsrc(Ozone ~ ., airquality)
data(airq_rf, package="ggRandomForests")
ggrf <- gg_vimp(airq_rf)
plot(ggrf)

## ------------------------------------------------------------
## survival example
## ------------------------------------------------------------
data(veteran_rf, package="ggRandomForests")
ggrf <- gg_vimp(veteran_rf)
plot(ggrf)
}
\references{
Ishwaran H. (2007). Variable importance in binary regression trees and forests,
\emph{Electronic J. Statist.}, 1:519-537.
}
\seealso{
\code{\link{plot.gg_vimp}} \code{rfsrc} \code{vimp.rfsrc}
}

