% Generated by roxygen2 (4.0.1): do not edit by hand
\name{plot.gg_partial_list}
\alias{plot.gg_partial_list}
\title{Partial plot generic function, operates on a \code{\link{gg_partial}} object.}
\usage{
\method{plot}{gg_partial_list}(x, points = TRUE, smooth = "loess", ...)
}
\arguments{
\item{x}{gg_partial object created from a randomForestSRC object}

\item{points}{plot points (boolean)}

\item{smooth}{use smooth curve (by type)}

\item{...}{extra arguments}
}
\value{
A list of ggplot object
}
\description{
Generate a risk adjusted (partial) variable dependence plot.
The function plots the randomForest response variable (y-axis) against
the covariate of interest (specified when creating the
 \code{\link{gg_partial}} object).
}
\references{
Breiman L. (2001). Random forests, Machine Learning, 45:5-32.

Ishwaran H. and Kogalur U.B. (2007). Random survival forests for R,
Rnews, 7(2):25-31.

Ishwaran H. and Kogalur U.B. (2013). Random Forests for Survival,
Regression and Classification (RF-SRC), R package version 1.4.
}
\seealso{
\code{plot.variable} \code{\link{gg_partial}} \code{\link{plot.gg_partial_list}}
}

