% Generated by roxygen2 (4.0.1): do not edit by hand
\name{plot.gg_roc}
\alias{plot.gg_roc}
\title{ROC plot generic function for a \code{\link{gg_roc}} object.}
\usage{
\method{plot}{gg_roc}(x, ...)
}
\arguments{
\item{x}{\code{\link{gg_roc}} object created from a classification forest}

\item{...}{arguments passed to the \code{\link{gg_roc}} function}
}
\value{
ggplot object of the ROC curve
}
\description{
ROC plot generic function for a \code{\link{gg_roc}} object.
}
\examples{
\dontrun{
## ------------------------------------------------------------
## classification example
## ------------------------------------------------------------
iris.obj <- rfsrc(Species ~ ., data = iris)

# ROC for setosa
ggrf.obj<- gg_roc(iris.obj, which.outcome=1)
plot.gg_roc(ggrf.obj)

# ROC for versicolor
ggrf.obj<- gg_roc(iris.obj, which.outcome=2)
plot.gg_roc(ggrf.obj)

# ROC for virginica
ggrf.obj<- gg_roc(iris.obj, which.outcome=3)
plot.gg_roc(ggrf.obj)
}
}
\references{
Breiman L. (2001). Random forests, Machine Learning, 45:5-32.

Ishwaran H. and Kogalur U.B. (2007). Random survival forests for R,
Rnews, 7(2):25-31.

Ishwaran H. and Kogalur U.B. (2013). Random Forests for Survival,
Regression and Classification (RF-SRC), R package version 1.4.
}
\seealso{
\code{\link{gg_roc}} rfsrc
}

