% Generated by roxygen2 (4.0.1): do not edit by hand
\name{plot.gg_vimp}
\alias{plot.gg_vimp}
\title{plot.gg_vimp
Plot a \code{\link{gg_vimp}} object, extracted variable importance of a
rfsrc object}
\usage{
\method{plot}{gg_vimp}(x, n.var, ...)
}
\arguments{
\item{x}{gg_vimp object created from a randomForestSRC object}

\item{n.var}{restrict the plot to only nvar variable importance measures}

\item{...}{optional arguments passed to gg_vimp if necessary}
}
\value{
ggplot object
}
\description{
plot.gg_vimp
Plot a \code{\link{gg_vimp}} object, extracted variable importance of a
rfsrc object
}
\examples{
\dontrun{
## ------------------------------------------------------------
## classification example
## ------------------------------------------------------------
# iris_rf <- rfsrc(Species ~ ., data = iris)
data(iris_rf, package="ggRandomForests")
ggrf <- gg_vimp(iris_rf)
plot(ggrf)

## ------------------------------------------------------------
## regression example
## ------------------------------------------------------------

# airq.obj <- rfsrc(Ozone ~ ., airquality)
data(airq_rf, package="ggRandomForests")
ggrf <- gg_vimp(airq_rf)
plot(ggrf)

## ------------------------------------------------------------
## survival example
## ------------------------------------------------------------
data(veteran_rf, package="ggRandomForests")
ggrf <- gg_vimp(veteran_rf)
plot(ggrf)

}
}
\references{
Breiman L. (2001). Random forests, Machine Learning, 45:5-32.

Ishwaran H. and Kogalur U.B. (2007). Random survival forests for
R, Rnews, 7(2):25-31.

Ishwaran H. and Kogalur U.B. (2013). Random Forests for Survival,
Regression and Classification (RF-SRC), R package version 1.4.
}
\seealso{
\code{\link{gg_vimp}}
}

